列出受管集群的应用程序资产
GET /accounts/{account_id}/topology/v1/managedClusters/{managedCluster_id}/apps/{app_id}/appAssets
返回集合中所有匹配资源的 JSON 数组。如果在请求中指定了单个字段,则项目 JSON 数组将包含按指定顺序为每个匹配资源请求的字段。
参数
| 名称 | Type | 在 | Required | Description |
|---|---|---|---|---|
account_id |
string |
path |
True |
包含帐户资源的 ID
|
managedCluster_id |
string |
path |
True |
包含 managedCluster 资源的 ID |
app_id |
string |
path |
True |
包含应用程序资源的 ID |
包括 |
string |
查询 |
False |
指示列出集合时应返回哪些字段。 URL 示例:"include=id"、"include=id,name" OpenAPI 示例:"id"
|
limit |
string |
查询 |
False |
指示列出集合时要返回的最大资源数。 URL 示例:"limit=2" OpenAPI 示例:"2" |
响应
Status: 200, Returns a JSON array of all matching resources in the collection. If individual fields are specified in the request, the items JSON array will contain the fields requested for each matching resource in the order specified.
| 名称 | Type | Required | Description |
|---|---|---|---|
个项 |
数组[任意类型:"appAsset_1.1_get_response_body",数组[]] |
True |
|
元数据 |
True |
响应示例
{
"type": "application/astra-appAssets",
"version": "1.1",
"items": [
[
"Pod",
"mediawiki-69c6fcf864-2wx6l"
],
[
"ReplicaSet",
"mediawiki-69c6fcf864"
],
[
"Service",
"mediawiki"
],
[
"Deployment",
"mediawiki"
]
],
"metadata": {
"labels": [],
"creationTimestamp": "2022-10-06T20:58:16.305662Z",
"modificationTimestamp": "2022-10-06T20:58:16.305662Z",
"createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
}
}
响应
Status: 401, Unauthorized
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
响应示例
{
"type": "https://astra.netapp.io/problems/3",
"title": "Missing bearer token",
"detail": "The request is missing the required bearer token.",
"status": "401"
}
响应
Status: 400, Bad request
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
响应示例
{
"type": "https://astra.netapp.io/problems/5",
"title": "Invalid query parameters",
"detail": "The supplied query parameters are invalid.",
"status": "400"
}
响应
Status: 403, Forbidden
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
响应示例
{
"type": "https://astra.netapp.io/problems/11",
"title": "Operation not permitted",
"detail": "The requested operation isn't permitted.",
"status": "403"
}
错误
Status: 404, Not found
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
|
标题 |
string |
True |
|
详细信息 |
string |
True |
|
状态 |
string |
True |
|
correlationID |
string |
False |
错误响应示例
{
"type": "https://astra.netapp.io/problems/2",
"title": "Collection not found",
"detail": "The collection specified in the request URI wasn't found.",
"status": "404"
}
定义
查看定义
GVK
包含 Kubernetes 组/版本/种类的 JSON 对象。
| 名称 | Type | Required | Description |
|---|---|---|---|
group |
string |
False |
包含 Kubernetes 分配的组标识符的 JSON 字符串。定义的值为:
|
类型 |
string |
False |
包含 Kubernetes 分配的类型标识符的 JSON 字符串。定义的值为:
|
version |
string |
False |
包含 Kubernetes 分配的版本标识符的 JSON 字符串。定义的值为:
|
type_json
包含 Kubernetes 资源定义的全部内容的 JSON 对象。
labels
| 名称 | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
包含标签名称的 JSON 字符串定义的值为:
|
value |
string |
True |
包含标签值的 JSON 字符串定义的值为:
|
类型 Astra 标签
| 名称 | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
|
value |
string |
True |
type_astra_metadata
与资源关联的客户端和服务指定的元数据。定义的值为:
-
符合 Astra 元数据架构
| 名称 | Type | Required | Description |
|---|---|---|---|
labels |
数组["类型 Astra 标签"] |
True |
|
creationTimestamp |
string |
True |
|
modificationTimestamp |
string |
True |
|
已创建 |
string |
True |
|
modifiedBy |
string |
False |
appAsset_1.1_get_response_body
| 名称 | Type | Required | Description |
|---|---|---|---|
type |
string |
True |
资源的媒体类型。定义的值为:
|
version |
string |
True |
资源的版本。定义的值为:
|
id |
string |
True |
资源的全局唯一标识符。定义的值为:
|
assetType |
string |
True |
包含一个值的 JSON 字符串,该值指示从 Kubernetes 获取的资源类型。定义的值为:
|
creationTimestamp |
string |
True |
包含指示 Kubernetes 元数据创建时间的时间戳的 JSON 字符串。定义的值为:
|
GVK |
True |
包含 Kubernetes 组/版本/种类的 JSON 对象。 |
|
resource |
False |
包含 Kubernetes 资源定义的全部内容的 JSON 对象。 |
|
资产ID |
string |
True |
包含 Kubernetes 分配的标识符的 JSON 字符串。定义的值为:
|
labels |
数组["labels"] |
True |
JSON 对象的 JSON 数组,每个都包含与资产关联的 Kubernetes 标签。如果没有可用的详细信息,此数组将为空。
|
assetName |
string |
True |
包含 Kubernetes 分配的名称的 JSON 字符串。定义的值为:
|
namespace |
string |
False |
包含 Kubernetes 分配的命名空间的 JSON 字符串。定义的值为:
|
元数据 |
True |
与资源关联的客户端和服务指定的元数据。定义的值为:
|
type_astra_metadata_list
| 名称 | Type | Required | Description |
|---|---|---|---|
继续 |
string |
False |
|
count |
数字 |
False |
|
labels |
数组["类型 Astra 标签"] |
False |
|
creationTimestamp |
string |
False |
|
modificationTimestamp |
string |
False |
|
已创建 |
string |
False |
|
modifiedBy |
string |
False |
invalidParams
| 名称 | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
无效查询参数的名称 |
原因 |
string |
True |
查询参数无效的原因 |